// gshhs_color.h
#ifndef _gshhs_color_H_
#define _gshhs_color_H_

// set a 16 color SCALE
#define  WHITE_IND      0
#define  BLACK_IND      1
#define  GRAY_IND       2
#define  RED_IND        3
#define  BLUE_IND       4
#define  GREEN_IND      5
#define  BROWN_IND      6     // 8B4513
#define  MAGENTA_IND    7     // 8B008B
#define  GOLD_IND       8     // FFD700
#define  TEAL_IND       9     // 008080
#define  AQUA_IND       10    // 00FFFF
#define  YELLOW_IND     11    // FFFF00
#define  FUCHIA_IND     12    // FF00FF
#define  OLIVE_IND      13    // 808000
#define  MAROON_IND     14    // 800020
#define  NAVY_IND       15    // 002080

// BMP color bytes
#define  BMC_WHITE   0     // FFFFFF
#define  BMC_BLACK   1     // 000000
#define  BMC_GRAY    2     // BEBEBE
#define  BMC_RED     3     // FF0000
#define  BMC_BLUE    4     // 0000FF
#define  BMC_GREEN   5     // 00FF00
#define  BMC_BROWN   6     // 8B4513
#define  BMC_MAGENTA 7     // 8B008B
#define  BMC_GOLD    8     // FFD700
#define  BMC_TEAL    9     // 008080
#define  BMC_AQUA    10    // 00FFFF
#define  BMC_YELLOW  11    // FFFF00
#define  BMC_FUCHIA  12    // FF00FF
#define  BMC_OLIVE   13    // 808000
#define  BMC_MAROON  14    // 800020
#define  BMC_NAVY    15    // 002080

#define  BMC_DEFAULT BMC_WHITE   // for the 'replace' algorithm

extern void Get_Pixel_Color( PGSINFO pgsi, BYTE cb, PBYTE pind,
                     PBYTE pr, PBYTE pg, PBYTE pb,
                     int nBPP );
extern void Set_Next_Color( PGSINFO pgsi );
extern void Set_BMP_1BPP( RGBQUAD * prq );
extern void Set_BMP_4BPP( RGBQUAD * prq );
extern void Set_BMP_8BPP( RGBQUAD * ppal );
extern char * Get_Color_Stg( BYTE cb );


#endif // _gshhs_color_H_